;;; This file is an addition to the GNU Emacs. GNU Emacs and the herein GOLD
;;; additions are distributed in the hope that it will be useful, but without
;;; ANY WARRANTY.  No author or distributor accepts responsibility to anyone
;;; for the consequences of using it or for whether it serves any particular
;;; purpose or works at all, unless he says so in writing.
;;; Everyone is granted permission to copy, modify and redistribute GNU Emacs,
;;; but only under the conditions described in the GNU Emacs General Public Li-
;;; cense.   A copy of this license is supposed to have been given to you along
;;; with GNU Emacs so you can know your rights and responsibilities.  It should
;;; be in a file named COPYING.  Among other things, the copyright notice and
;;; this notice must be preserved on all copies.
;;; Refer to the GNU Emacs General Public License for full details.
;;;
;;;############################################################################
;;;###  GOLD-Emacs-News&Keypad help facilities for gold.el !                ###
;;;###  This file is included (direct- or auto-loaded) by the main entry    ###
;;;###  file >>> gold.el <<< => Refer to that file for more informations.   ###
;;;############################################################################
;;; Bug reports and suggestions are always welcome !
;;
(gold-debug "gold_news")
;-----------------------
(defun GOLD-news-help ()
"          News for GOLD-Emacs (sorted with latest news first):         V27.2
          -------------------------------------------------------
22-Mar-23  `gold-letterspace-search' allows letterspaced re-searches.
21-Mar-23  `gold-paste-keep-pos' too keep original point position before paste.
06-Mar-23  `fortran-show-end/start-of-block' on GOLD-{ and GOLD-} respectively.
15-Feb-23  Fast highlighting large diff-files (setq diff-font-lock-syntax nil)
07-Feb-23  Replaced deprecated (require 'cl) by (require 'cl-print)
13-Dec-22  gold-print now with paps based Print (instead of a2ps based print)
           and 2 new variables: `gold-print-device' & `gold-print-highlight'
01-Dec-22  <Help>= for character inspection (code, font, etc.)
20-Oct-22  Support of zst-compression files in pqa-mode
17-May-22  Changed default value of `permas-doc-version' to \"v19\".
22-Mar-22  Adapted rainbow-mode colors to permas-dat ARGB sequence.
28-Jun-21  Add hideshow-support in f7x-mode (i.e. `hs-minor-mode')
19-May-21  `permas-progress-mode' as alias for `permas-step-mode'
16-Feb-21  On emacs-27 load etags26 to avoid buggy fileloop implementation.
18-Dec-20  Remove all gnats references (switch to new intesPR)
16-Dec-20  Add `kp-space' as alias for `kp-5' key bindings.
30-Oct-20  Improved f7x-tags handling (i.e. no tmpl-characters in pro-mode)
22-Sep-20  Also support xpdf version >4.0 for Online-Helps
23-Jul-20  Include f7x-template <T[T]> for find-tags f7x-function-names
22-Jul-20  Improved highlighting for f7x-template calls and subroutine names
13-Jul-20  New `tools-rev' command to access the revision file for PERMAS-Tools
07-Jul-20  New `permas-f90-tags' (but default still on f7x `permas-tags')
26-May-20  Changed default value of `permas-doc-version' to \"v18\".
02-Apr-20  New fortran-abbrev `;mpc' for standard MPC-Error-Messages
11-Jun-19  Add macros for upper case greek UTF8 characters, e.g. `utf8-Lambda'
02-May-19  Include `rainbow-mode' and activate it for permas-dat highlighting
30-Jan-19  New `visper-errors' and renamed `permas-error' to `permas-errors'
20-Nov-18  Force empty kill-ring (empty paste buffer) at startup.
19-Nov-18  Inhibit autoload of AUC-TeX in debian installations with Emacs >=25.
           AUC-TeX is loaded only if explicitely required, i.e. only loaded
           if the user puts a \"(require 'tex-site)\" in his/her init-file !
07-Nov-18  Changed default value of `permas-doc-version' to \"v17\".
24-Oct-18  Initial support for Emacs-25 (adapted calendar & diary).
27-Sep-18  Added *.uff extension to auto-mode-alist of INDEAS universal files.
27-Jul-18  New `permnew-f90-tags' to access PERMAS F90 source in /source/permnew
30-May-18  New `um550-rev' macro to reach the global um550.ChangeLog file.
30-Oct-17  New `visnew-tags' to access VisPER C/C++ source in /source/visnew
26-Oct-17  Rename `visper-tags'/`visnew-tags' to `vgmper-tags'/`vgdper-tags'
23-Aug-17  Inhibit untabify in Makefiles for GOld-T (`cut-trailing-blanks')
13-Jun-16  Include `qpdfview' in list of standard pdf-viewers.
07-Jun-16  Reactivate line-number in mode-line and cua-mode example in my.emacs_gold.
07-Jun-16  Added python interpreter for \"pyINTES\" & auto-detect VisPER/PCGen files.
31-Mar-16  Changed default value of `permas-doc-version' to \"v16\".
21-Mar-16  Add `permas14-tags' and `permas15-tags' for back-referencing.
02-Nov-15  `utf8-revert-buffer' (Gold-U) to revert buffer with enforced utf8-coding
01-Sep-15  E24.5: Adapt `GOLD-buffer-menu' & inhibit default `electric-indent-mode'
05-Aug-15  Emacs-24.5-Adaption: set `large-file-warning-threshold' to 1 GiB
31-Mar-15  New F7X commands `insert-named-block-types' & `insert-named-module-types'
04-Nov-14  Include some obsolete-alias in gold_more for calc under emacs-23.4.
21-Jul-14  Add support for \"evince\")' and \"okular\" as `pdfview-program'.
24-Mar-14  Changed default value of `permas-doc-version' to \"v15\".
20-Jan-14  `utf8-mathchars' shows a buffer with some UTF8 math symbols/characters.
02-Jul-13  Upgraded fortran abbrev ;td from type- to a module-type-definition.
15-May-13  Removed redef of `match-string' from gold_more.el (probably obsolete).
10-May-13  LOT(0) in f7x-mode & DEFPROG=permnew (old LOT(1) if f77 and/or permas)
12-Apr-13  New print options for automatic column width (default = <SPC>).
11-Mar-13  Added `gold-key' and `gold-numlock' variables to XKeyPad-Startup.
04-Mar-13  Starting `permas-rsc-mode' for editing/viewing PERMAS resource files.
06-Feb-13  Added Context-Help for Stop/Step-File and Pr/Log-Header/Footer
21-Jan-13  Avoid auto-upcase of #def-lines in Fortran-Mode.
01-Aug-12  Added `gold-keep-numlock' to prevent redefinition of Num_Lock keysym.
20-Mar-12  Changed default value of `permas-doc-version' to \"v14\".
15-Mar-12  Renamed `permas-inp-mode' to `permas-aba-mode' (plus context-help).
30-Aug-11  F7x-abbreviation ;td invokes new `fortran-type-definition-template'.
28-Mar-11  `utf8-boxchars' shows a buffer with UTF8 box/line-drawing characters.
23-Feb-11  Provided call to visper's pdfc.exe for context-help on MS/windows.
20-Jan-11  Updated minimum version for gold-package to Emacs-23 (was Emacs-21)
14-Jan-11  Change fortran-comment-region to '!>' (f7x) ot 'C>' (f77) resp.
19-Aug-10  Reduce Logtime-Regexp to 6-digit HHMMSS with leading zeroes (V13!)
02-Jun-10  Changed default value of `permas-doc-version' to \"v13\".
01-Mar-10: Starting `gold_bugfix.el' as standard place to fix emacs-bugs.
04-Sep-09: `scratch-buffer' switches to *scratch* (create if not existing).
03-Aug-09: Removed hilit19 from code (obsolete since emacs-21).
15-Apr-09: Global `f90-errors' bookmark for permnew-F90-errors.
17-Mar-09: Set file-size-warning to 200 MB (was 10 MB).
15-Jan-09  Default fxx-mode is now `f7x-mode' (`f77-mode' only on request).
26-Jun-08  Loads \".pqa_remark\" file in `pqa-mode'.
19-May-08  Overwrite f90 highlighting with f7x-font-lock-keywords-72.
07-May-08  Changed default value of `permas-doc-version' to \"v12\".
08-Jan-08  Again clear Num_Lock before renaming (xfce may need start-script).
04-Dec-07  Removed obsolete (old) crypt++ package from gold directory.
28-Nov-07  Avoid clearing Num_Lock (xmodmap/xfce-bug?), just rename to KP_F1.
26-Nov-07  Inhibit splash screen on startup if emacs is called with arguments.
25-Nov-07  Removed obsolete mwheel20 and keybindings for Qume, Xapollo and Xdec.
24-Nov-07  Remap function-key-map instead of calling `clear-strange-KP-keys'.
23-Nov-07  Increase minimum requested Emacs-Version to Emacs-21.0 or higher.
22-Oct-07  First Alpha to work with Emacs-22.1 (still not totally stable).
25-Jul-07  Introduce `i2[un]pack' funtionality into `integer-display-key'.
23-Jul-07  New `vpm-tags' and `vgm-tags' for VisPer-Maintenance/Graphics.
24-May-07  `permas-next-error' now searches with decremental severity (E?,W?).
14-Feb-07  New `visper-tip-mode' to edit VisPer Tooltip files.
09-Jan-07  New function `goto-column' jumps to given column (opt.extends line).
06-Mar-06  Replace `lazy-lock' package by more stable `jit-lock'.
08-Feb-06  Changed default value of `permas-doc-version' to \"v11\".
12-Jan-06  Map `kp-delete' to `kp-decimal' even for german keyboards.
19-Dec-05  Make `permas-logtime' the context-help function in log/pro-mode.
07-Sep-05  New `permas-logtime' to calculate PERMAS LogTime in LOG/PRO region.
06-Sep-05  User variable `proportional-fonts' [nil] for variable font width.
12-Jul-05  Enlarging default NAMSUB from Character*8 to Character*12.
26-Jan-05  New Fortran abbrebiations: ;pr ;p3 and ;p2 (fortran-pX-template).
26-Oct-04  Including python-mode in standard gold-package.
25-Oct-04  Bug-fix for wrong fortran-to-tex (context-work) on C*($)-Lines.
23-Aug-04  `rmail-from-pop' to read mails from a POP3 server.
12-Aug-04  Added `permas-t19-mode' for `t19' result files from MARC.
11-Aug-04  Bug-fix for remapping of <kp-9> to <kp-prior> during emacs-start.
18-Jun-04  Force `/usr/lib/sendmail' for sendmail-program (not `fakemail').
24-May-04  Bug-fix for uncomment-region in f77- and f7x-mode.
02-Apr-04  Extension of uci/dat context helps: [bracket];key [sub1] [sub2]
24-Feb-04  Changed default value of `permas-doc-version' to \"v10\".
04-Feb-04  New `permas-inp-mode' for viewing ABAQUS *.inp input giles.
03-Feb-04  Renamed `unv-mode' into `permas-unv-mode'
02-Nov-03  Don't kill 'flim' and KDE's klipper if Emacs>=21.2
29-Oct-03  Reread a TAGS table without querying, if it has changed.
20-Oct-03  Upgrade to Emacs 21.3.
13-Oct-03  Removed `diary-update-x' from gold startup (obsolete).
29-Aug-03  Optimized highlighting for PERMAS PRO-Files.
21-Jul-03  Support horizontal mouse wheel (Button 6+7), e.g. for 2D-Panning.
04-Jul-03  New variable `calc-load-path' do hold location of calc-package.
24-Jun-03  Extended permas-nas-mode to file types *.bdf and *.fif (NASTRAN).
14-May-03  Numlock bound as Gold-key on Windows-systems (emacs 20.4 or higher).
30-Apr-03  Mouse-wheel scrolls window-under-mouse (not active-cursor-window).
04-Mar-03  Adapting `permas-source-dir' for main path of PERMAS source files.
28-Feb-03  Make `chi-view-page' sensitive for `pdfview-program' = xpdf/acroread.
06-Feb-03  New variable `permas-source-dir' for main path of PERMAS source files.
27-Jan-03  Default ispell-dictionary is now `amercian' (was undefined).
09-Dec-02  Command gzip-level may be used to set the gzip compression-level.
12-Nov-02  Removing obsolete adjust-screen and toggle-screen-width.
06-Nov-02  Automatic adaption of rmail-ignored-headers for etach-1.2.7
24-Oct-02  Migration of intes path variables from hp-3/2 to ds-1/2.
28-Jun-02  New permas-psum-mode for viewing PERMAS protocol summaries (psum).
20-Jun-02  Improved Highlighting for permas-dat- and permas-uci-mode.
16-May-02  Adapting to new permas-doc-dir \"/doc/archive/permas\".
20-Feb-02  `default-document-type' replaced by `permas-doc-version'.
10-Dec-01  `ascii-table' shows a buffer with all printable ASCII characters.
11-Oct-01  Removed `quoted-insert' from C-a & c-\\ (use standard C-q instead).
29-Aug-01  <Help><Help> starts `acroread emacs_gold.pdf' (if available).
28-Aug-01  Automatically kill KDE's klipper on Emacs-startup (if running).
-----------
   ...     No time to update news, but a lot of new features !!!
10-Jul-00  <Help><Help> invokes PDF help for gold-keys (if PDF is available).
07-Jul-00  `attach' and `detach' for sending/receiving email attachments.
20-Jun-00  `call-kbd-macro' closes open macro definition (if any) before calling.
           `compile-buffer' and `context-work' bound to [key-20] (ScrollLock).
19-Jun-00  `fortran-to-tex' generates a TeX description from a F7X subroutine.
05-Jun-00  `recompile-dir' is a save shortcut for `byte-recompile-directory'.
-----------
   ...     No time to update news, but a lot of new features !!!
10-Jan-99  Customizing `revert-buffer' (save point, do not query).
14-Dec-99  Slightly improved `font-lock' for `shell-mode' (`^>' not a prompt).
13-Dec-99  Repeated `isearch-back-forward' invokes `search-word-back-forward'.
09-Dec-99  `global-font-lock' is now the default (see mail from 10-Dec-99).
           Improved font-lock for f77-, f7x-, shell- and all permas-...-modes.
-----------
   ...     No time to update news, but a lot of new features !!!
03-Apr-97  `implicit-none' is now default in fortran mode (added some abbrevs).
06-Feb-97  `switch-shell' [Gold-Return] now changes between most recently used
           (&non-visible) shell and most recently used (&non-visible) standard
           buffer, i.e. does not guess about buffer-shell relationship any more
20-Dec-96  A non-nil `implicit-none' includes IMPLICIT NONE in fortran headers.
14-Oct-96  `permas-tags' now activates TAGs of PERMAS maintenance version
           `permnew-tags' does the same for the development version.
           Also other names are changed to permas (`perm5-rev' -> `permas-rev')
19-Mar-96  Suppress echo of equivalent key-bindings (suggest-key-bindings).
06-Mar-96  Suppress ASCII-Menues by default (reactivate with `menu-bar-mode').
05-Mar-96  Switched GOLD-Emacs-Maintenance from Emacs-19.29 to Emacs-19.30
   ...     No time to update news, but a lot of new features !!!
04-Jul-95  Changed `find-tag-h' to use `find-tag-other-window' (but stil
           `repeat-tag-search' will use `find-tag' to reuse the same window).
29-Jun-95  In Fortran the \".\" character is not a `word' syntax any more.
28-Jun-95  Eliminating 'mail-signature-separator' on mail-setup.
           In Mail buffers `comment-region' now inserts a \"> \" on each line.
26-Jun-95  Correct binding for F1 & Help. Direct (new) call for `man' function.
25-Jun-95  Started with Emacs-19.29 *****************************************
           (newly compiled Lisp files are incompatible to earlier versions) !
10-May-95  Using environment variable $BACKUPDIR to write - up to 3 - numbered
           backup files to (also auto-save files will go to that directory).
23-Jan-95  Document browsing moved from Help-D to Gold-D (former dired-mode
           can be started just by loading a directory via Gold-F).
20-Jan-95  Introduced `fortran-sub-fun-body' as own function for Fortran
           Subroutine/Function headers build by ;sh respectively ;fh !
04-Jan-95  AUC-TeX is loaded only if explicitely required, i.e. only loaded
           if the user puts a \"(require 'tex-site)\" in his/her init-file !
02-Jan-95  New compress/zipp code `jka-compr.el' replaces parts of `crypt++.el'
           (`crypt++.el' is still used for crypted but not for .Z .gz files).
           This enables zipped rmail-archive files (appending rmail-output).
21-Dec-94  Started new concept for inclusion of context-help informations, i.e.
           new functionality to access *.chi files created by GOLD-LaTeX2e !
09-Dec-94  Complete new shell-mode: Improved directory-tracking and command
           completion (tcsh-like spell-check & completion of commands, options
           and file/dir names; evaluating aliases and current $path etc...).
           spellcheck & completion of commands, file names and command options
08-Dec-94  Dynamic mailname completion on To: CC: or BCC: lines in mail-mode.
29-Nov-94  Rearranged keypad: <MarkColumn> <ToggleTruncation> <CompareWindows>
           <CommentRegion> changed their Fkey-location.
           <EdiffBufers> <BookmarkMenue/Jump> and <UncommentRegion> are new.
           <TimecardPrefix> was removed from <F8> (user-local binding again).
21-Oct-94  Help-E shows all error messages of a given PERMAS error group.
19-Aug-94  New print-menu for PostScript printer (setenv laser lasersi).
10-Aug-94  Use `perm5-client' to display Info for PERMAS Version 5 Clients.
09-Aug-94  Various new packages, e.g. Xedit like ALL functionality `all'
26-Jul-94  Re-standardizing `gold_fortran.el' to new features in `fortran.el'.
25-Jul-94  Own configuration files `gold_mail', `gold_rmail' and `gold_gnus'
           Autoloading `gold_shell' and including emacsclient-server into it !
15-Jul-94  `context-update', `send-pr-with-template', etc.
11-Jul-94  Chanching `update-day-month-year' to `context-update'. Fortran
           context special is to get/update error text when point is on a
           PERMAS error call or on a PERMAS CERR line.
20-May-94  Starting maintenance for Emacs-19.23 (freezing earlier Emacses).
11-May-94  Added support for IBM-AIX-Terminals and improved Xterm keybindings.
10-May-94  (yes-or-no-p) queries will now always accept a short `y' or `n' !
04-May-94  Improved auto-scrolling and directory-tracking in `shell-mode'
27-Apr-94  New commands for radix conversion `number-to-number' `hex-to-string'
           `string-to-hex' and `apply-operator' (see document-strings).
22-Apr-94  Shell-mode now always scrolls its contents to full window size when
           cursor is beyond process-mark (the default automatically scrolls the
           last output line resp. the prompt line to be the bottom-window-line)
07-Apr-94  New (more stable) directory tracking in shell-mode.
06-Apr-94  New versions of `ediff.el', `crypt++.el', `shell.el' & `comint.el'.
           Truncate minibuffer lines and dynamically resize minibuffer for it.
           Introduced fast `on-the-fly' highlighting.
05-Apr-94  Added `maint', `v4FAQ' & `V5FAQ' to the Help-D Online-Documentation
10-Mar-94  PostScript print option in print-menu and new compile options.
28-Feb-94  Use `v5rev.info' to display Infofile for PERMAS Version 5 Revisions.
07-Feb-94  Updated 'metamail.el' and installed 'mime.el' & 'rmailmime.el' for
           MIME mail tools (also installed 'double.el' for double-key-events).
03-Feb-94  Installed excellent 'ediff.el' package from internet. Use comands
           'ediff-file' respectively 'ediff-buffer' to enter a comfortable
           3-Window-Diff-Mode to show file/buffer-differences.
01-Feb-94  Installed 'base-conversion.el', 'bod-tracker.el', 'foldout.el' and
           'func-menu.el' from internet (updated 'balance.el' & 'rmailgen.el').
28-Jan-94  Changed default copying of outgoing mail from 'FCC: ~/.mail-archive'
           to 'BCC: $USER' (i.e. send a blind mail-copy to the user itself).
27-Jan-94  Error correction and speed-up of 'rect-mark.el' for large files.
25-Jan-94  Installed 'balance.el' and 'rmailgen.el' from internet.
24-Jan-94  New mails beep on first mode-line occurance (this may be suppressed
           be setting the variable 'beep-on-new-mail' to nil).
18-Jan-94  Installed 's-region.el', 'russian.el' & 'vhdl.el' from internet.
17-Jan-94  Installed 'vdef-key.el', 'emacs-vers.el' & 'igrep.el' from internet.
           Just type Gold-Gold igrep to make an occur-like grep buffer of files
12-Jan-94  Installed new AUC-Tex (V8.0) and new texinfo-package (V3.1).
11-Jan-94  Added new minor-mode package 'auto-ispell-mode' ('min-ispl.el')
           for invoking ispell-word whenever space or new line is inserted.
           Just type 'GOLD-GOLD ispell-minor-mode' to toggle this minor-mode
           (TAB invokes ispell-complete-word).
11-Jan-94  Updated 'column.el', 'easymenu.el', 'out-xtra.el' and hypertext
           package 'xref.el' (Version-2) from internet.
10-Jan-94  Rectangular highlighting when using mark-column. Also the mark is
           killed explicitely after copy/cut-commands (thus the region is
           unhighlighted close after each copy/cut-command).
07-Jan-94  Updated 'uncompress.el' from internet.
05-Jan-94  New FORTRAN abbreviation ;cp inserts GOLD typical copyrigth-note.
           :      :     :
Before   - Dark ages of vi !"
      (interactive)
      (with-output-to-temp-buffer "*Help*"
          (princ (documentation 'GOLD-news-help)))
          (message "Type 'MAIN WINDOW' (keypad <'3'>) to remove help window."))

;;-------------------
(defun gold-keypad-help ()
"Cursor +------+          PF1-----------PF2-----------PF3-----------PF4--------+
after  | Top  |          |    GOLD     |     HELP    | I-Search ^v | Del Line |
GOLD:  |  of  |          |             |             |             |          |
       | File |          |   command   |   Set Var   | RE-Search ^v| Und Line |
+<-----+------+----->+   +7------------+8------------+9------------+_---------+
| Start|Bottom| End  |   |  Scroll ^^v | Mark[Append]| Find Next ^v| Del Word |
|  of  |  of  |  of  |   |             |             |             |          |
| Line | File | File |   |  Scroll <-> | Mark Column |   Find All  | Und Word |
+------+======+------+   +4------------+5------------+6------------+,---------+
after  | Make |          | GoToBookmark|    Copy     | ChnCase <-> | Del Char |
ESC:   |Top of|          |             |             |             |          |
       |Window|          | SetBookmark |    Cut      | Replace ^^v | Und Char |
+<-----+------+----->+   +1------------+2------------+3------------+E---------+
|Delete| Make |Delete|   |   Word <->  |   Paste     | Main Window |          |
| Head |Bottom| Tail |   |             |             |             |  Insert  |
|ofLine|Window|ofLine|   | BookmarkMenu| Past>Buffer | Hide Window | New Line |
+------+------+------+   +0------------+-------------+.------------+          |
                         |           UNDO            | ResetScreen |   Next   |
                         |                           |             |  Window  |
GOLD-RETURN Switch Shell |      Insert/Overwrite     |Highlight-0/1|          |
Ctrl-G      quit command +---------------------------+-------------+----------+"
     (interactive)
     (let ((doc (find-document "emacs_gold.pdf")))
          (if (and pdfview-program doc) (acroread doc "1" "GOLD-Keypad")
          (save-window-excursion
             (switch-to-buffer "*Help*")
             (setq buffer-read-only nil) (erase-buffer)
             (insert (documentation 'gold-keypad-help))
             (call-interactively 'gold-keypad-more-help)))))


(defun gold-keypad-more-help (key)
"Ctrl-A   to insert any ASCII-Character Ctrl-G   TO QUIT ANY INTERACTIVE COMMAND
GOLD-A   Abbreviation mode on/off      GOLD-O  Overwrite with original file
GOLD-B   Buffer Menue (save/kill...)   GOLD-P  Write Paste buffer to file
GOLD-C   Quick calculator              GOLD-Q  Quit Emacs
GOLD-D   List Directory                GOLD-R  Recover file (get #autosave#)
GOLD-E   Exit Emacs                    GOLD-S  Save file
GOLD-F   Load file to new buffer       GOLD-T  Remove tabs and trailing blanks
GOLD-H   Split window horizontally     GOLD-V  Split window vertically
GOLD-I   Insert a file from disk       GOLD-W  Write buffer to other file
GOLD-J   Insert a buffer at cursor     GOLD-Y  Enlarge window vertically
GOLD-K   Kill a buffer (interactive)   GOLD-Z  Shrink window vertically
GOLD-L   Load file to actual buffer    GOLD-n  Repeat next key n times
GOLD-RETURN   switches to/from Shell   GOLD-.  Jump to next mark position
GOLD-!   Show Emacs-Point-Information  GOLD-?  Show line and column number
GOLD-=   Goto a given line number      GOLD-%  Goto percentage-of-file pos.
GOLD-TAB Show and edit tabulators      GOLD-$  Test for mismatched paranthesis
GOLD->   Narrow text to current region GOLD-<  Re-Widen narrowed to full buffer
GOLD-[   Show matching open bracket    GOLD-]  Show matching open/close bracket
GOLD-(   Start def. of keyboard macro  GOLD-)  End of keyboard macro definition

ESC-SPACE   kills all but one blanks around cursor position
ESC-RETURN  recalls shell input stack or doubles current line (on non-shells)"
      (interactive "kType HELP again for more help, any other key to quit:")
      (if (GOLD-help-key)
          (save-window-excursion
               (switch-to-buffer "*Help*")
               (setq buffer-read-only nil) (erase-buffer)
               (insert (documentation 'gold-keypad-more-help))
               (call-interactively 'GOLD-quit-help))))

;;----------------------------------------------------------------------------
(provide 'gold_news)
